package net.yyc12345.teyvatcraft;

import net.fabricmc.api.ModInitializer;
import net.yyc12345.teyvatcraft.init.BlocksManager;
import net.yyc12345.teyvatcraft.init.DungeonManager;
import net.yyc12345.teyvatcraft.init.ItemsManager;
import net.yyc12345.teyvatcraft.init.TerrainsManager;
import net.yyc12345.teyvatcraft.init.VillagerManager;

public class TeyvatCraft implements ModInitializer {
	@Override
	public void onInitialize() {
		BlocksManager.RegisterAll();
		ItemsManager.RegisterAll();
		TerrainsManager.RegisterAll();
		VillagerManager.RegisterAll();
		DungeonManager.RegisterAll();
	}
}
